require "json"

module Crystal::Scatter 

    class Slice
        JSON.mapping(
            s_begin: UInt64,
            s_end: UInt64,
            url: String,
            id: Int32
        )

        def initialize(@s_begin,@s_end,@url,@id)
        end
    end

    class Ring < Array(Slice)

    end

end